Download it now!
Bug 90532 - FILESAVE: XLSX - Chart fonts
Summary: FILESAVE: XLSX - Chart fonts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.0.0
Keywords: implementationError
Depends on:
Blocks:
 
Reported: 2015-04-09 16:48 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-18 09:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-09 16:48:37 UTC
Steps:
1) Open attachment 114697 [details]
2) Notice that the Y-Axis text is Calibra 9pt Gray
3) Save and close
4) Reopen file
5) Notice that the Y-Axis text is Liberation Sans 10pt Automatic (aka black)

A similar problem occurs with the chart title, where its Calibra 14pt when first opening it and Calibra 14pt Bold after reopen it in 4.2.8 due to bug 90530.

Version: 4.5.0.0.alpha0+
Build ID: 2bbce7dcd46e8aca716808602aa152ecd85b42af
TinderBox: Win-x86@42, Branch:master, Time: 2015-04-07_22:55:39
Comment 1 A (Andy) 2015-04-09 17:52:30 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 2 Matthew Francis 2015-04-10 04:06:31 UTC
This occurs back to LO 3.3.0
OOo 3.3.0 doesn't support saving .xlsx, so this is an original implementation error

-> Version: 3.3.0 release
-> Whiteboard: implementationError
Comment 3 Commit Notification 2015-04-27 04:36:34 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bcf295f9ca05f5b8d40ef2747b46dfb5564a74a9

support axis text properties during OOXML export, tdf#90532

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-04-27 04:36:37 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7232574e2050fea57b06cf1e87177bc419974da

support more font properties for title OOXML export, tdf#90532

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-04-27 04:36:41 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea4e3d6970aaa2ff567c027bf3b5a6902c9dabed

add test for axis character properties, tdf#90532

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-04-27 04:36:45 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84fba0e79f319e9279ac1a6f50588a687b018ddb

add test for title character properties, tdf#90532

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-18 09:50:33 UTC
Migrating Whiteboard tags to Keywords: (implementationError)
[NinjaEdit]